Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.TryCatchStatementContext

- org.apache.groovy.parser.antlr4.GroovyParser.TryCatchStatementContext

-     public static class GroovyParser.TryCatchStatementContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TryCatchStatementContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `TRY()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.BlockContext` | `block()`
    `` | `public List<? extends CatchClauseContext>` | `catchClause()`
    `` | `public GroovyParser.CatchClauseContext` | `catchClause(int i)`
    `` | `public GroovyParser.FinallyBlockContext` | `finallyBlock()`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public GroovyParser.NlsContext` | `nls(int i)`
    `` | `public GroovyParser.ResourcesContext` | `resources()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public TryCatchStatementContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode TRY()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.BlockContext block()

    - #### public List<? extends CatchClauseContext> catchClause()

    - #### public GroovyParser.CatchClauseContext catchClause(int i)

    - #### public GroovyParser.FinallyBlockContext finallyBlock()

    - #### @Override
      public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public GroovyParser.NlsContext nls(int i)

    - #### public GroovyParser.ResourcesContext resources()